/* 
A program used to demonstrate file uploads with HTTPFileTransfer.cc

Author: Michael Nuwer
05/21/2000
updated: 01/01/2002

To build this program:

compile :webwizards:webclass.cc
compile HTTPFileTransfer.cc
compile UploadSample1.prg

build UploadSample1.pro,:webwizards:webclass.co, HTTPFileTransfer.co to upload.exe WEB



*/
#define MAXIMUM_UPLOAD   1000000

Try
   set procedure to 'HTTPFileTransfer.cc' additive
 
   oCGI = new CGIUpload()

   oCGI.TempPath = "c:\temp\"
   oCGI.SavePath = "c:\temp\"
 
   oCGI.Connect()


   if MAXIMUM_UPLOAD > 0 and val(getEnv("CONTENT_LENGTH")) > MAXIMUM_UPLOAD

      oCGI.SorryPage('The file uploaded is beyond the maximum limits')

   else
   
      if oCGI.ReadMultipart() 
         f = new file()
      
         cFrom = oCGI.SavePath + oCgi['FileToUpload']
      
         cTo = "d:\cmpt301\projects\" + oCGI['p_name'] + "\" ;
              + oCgi['FileToUpload']
      
         if f.size(cFrom) > 0
            f.copy( cFrom, cTo )
            nSize = f.size(cFrom)
            f.delete( cFrom )
            oCGI.StreamHeader('Upload')
         
            with (oCGI.fOut)
               puts([   <BODY bgcolor='white'>])
               puts([<b><font FACE='Arial,Helvetica'  size=+2>Upload Finished</font></b>])
               puts([<p><FONT FACE='Arial,Helvetica' SIZE=-1>])
               puts(oCgi['FileToUpload'] + " has been submitted")  
               puts([<P>] + str(nSize) + " Bytes uploaded. ")
            endwith

            oCGI.StreamFooter()
      
         else
            oCGI.StreamHeader('Upload')
            oCGI.StreamBody("Zero Bytes uploaded. <BR> Be sure to select ;
               the full path to your file.")
            oCGI.StreamFooter()

         endif
      
      else
         oCGI.StreamHeader('Upload')
         oCGI.StreamBody("Not uploaded. <BR>There was an error reading your ;
            file. Please try again.")
         oCGI.StreamFooter()
      endif

   endif


Catch (Exception e)

  oCGI.ErrorPage(e)  // trap any errors

EndTry

oCGI = null // cleanups
f = null

quit


